﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using EF_CodeFirst_Razor_Core.Models;

namespace EF_CodeFirst_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        public List<Customers> Customers { get; set; }

        public void OnGet()
        {
            using (CodeFirstContext context = new CodeFirstContext())
            {
                this.Customers = (from customer in context.Customers
                                  select customer).ToList();
            }
        }
    }
}